summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_win.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/test_win.sh')
-rwxr-xr-xsource4/script/tests/test_win.sh20
1 files changed, 3 insertions, 17 deletions
diff --git a/source4/script/tests/test_win.sh b/source4/script/tests/test_win.sh
index e59dbdabda..a6b09d48db 100755
--- a/source4/script/tests/test_win.sh
+++ b/source4/script/tests/test_win.sh
@@ -32,23 +32,9 @@ $WINTEST_DIR/wintest_raw.sh $SMBTORTURE_REMOTE_HOST $SMBTORTURE_USERNAME \
$SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP \
|| all_errs=`expr $all_errs + $?`
-rpc_tests="RPC-WINREG RPC-ASYNCBIND RPC-ATSVC RPC-DSSETUP RPC-EPMAPPER"
-rpc_tests="$rpc_tests RPC-INITSHUTDOWN RPC-LSA-GETUSER RPC-MULTIBIND RPC-ROT"
-rpc_tests="$rpc_tests RPC-SECRETS RPC-SRVSVC RPC-SVCCTL RPC-WKSSVC"
-
-for t in $rpc_tests; do
- test_name="$t / WINDOWS SERVER"
- old_errs=$all_errs
-
- testit "$test_name" $SMBTORTURE_BIN_PATH \
- -U $SMBTORTURE_USERNAME%$SMBTORTURE_PASSWORD \
- -W $SMBTORTURE_WORKGROUP \
- ncacn_np:$SMBTORTURE_REMOTE_HOST \
- $t || all_errs=`expr $all_errs + 1`
- if [ $old_errs -lt $all_errs ]; then
- restore_snapshot "\n$test_name failed."
- fi
-done
+$WINTEST_DIR/wintest_rpc.sh $SMBTORTURE_REMOTE_HOST $SMBTORTURE_USERNAME \
+ $SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP \
+ || all_errs=`expr $all_errs + $?`
test_name="WINDOWS CLIENT / SAMBA SERVER SHARE"
old_errs=$all_errs